# $Revision: 1.32 $, $Date: 2002/07/21 12:55:38 $
Summary:	Router Advertisement Daemon
Summary(pl):	Demon ogaszania routerw
Name:		radvd
Version:	0.7.1
Release:	3
License:	GPL
Group:		Networking
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}.init
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-ac25x.patch
URL:		http://v6web.litech.org/radvd/
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	automake
BuildRequires:	autoconf
Prereq:		rc-scripts >= 0.2.0
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon listens to router solicitations (RS) and answers with
router advertisement (RA). Furthermore unsolicited RAs are also send
from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU
of the link and information about default routers.

Router solicitations and router advertisement works only on IPv6
networks.

%description -l pl
Demon ten nasuchuje komunikatw "router solicitations" (RS) i
odpowiada komunikatami "router adverisement" (RA).

W ten sposb pomaga hostom w sieci konfigurowa swoje interfejsy
sieciowe.

Ogaszanie routerw dziaa tylko w sieciach IPv6.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/etc/rc.d/init.d,}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/radvd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README TODO CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add radvd
if [ -f /var/lock/subsys/radvd ]; then
	/etc/rc.d/init.d/radvd restart >&2
else
	echo "Type \"/etc/rc.d/init.d/radvd start\" to start radvd server" 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/radvd ]; then
		/etc/rc.d/init.d/radvd stop >&2
	fi
	/sbin/chkconfig --del radvd
fi

%files
%defattr(644,root,root,755)
%doc *.gz INTRO.html
%attr(754,root,root) /etc/rc.d/init.d/radvd
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/radvd.conf
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: radvd.spec,v $
Revision 1.32  2002/07/21 12:55:38  kloczek
- release 3: added ac25x patch.

Revision 1.31  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/13 13:46:11  kloczek
- release 2.

Revision 1.29  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/23 04:32:20  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/17 02:33:46  kloczek
- updayted to 0.7.1 (bugfix release).

Revision 1.24  2001/11/22 00:27:38  misiek
- 0.7.0

Revision 1.23  2001/11/16 21:04:16  kloczek
- use DESTDIR style %install.

Revision 1.22  2001/09/29 23:30:44  blues
- release 3
- ac2.5 ready + am_fix patch

Revision 1.21  2001/09/25 12:50:50  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.20  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.19  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/06/20 18:51:21  misiek
- updated to 0.6.2pl4

Revision 1.16  2001/04/04 19:18:27  misiek
fixes patch called 0.6.2pl1 (from foreign people)

Revision 1.15  2001/02/10 22:58:30  misiek
added URL

Revision 1.14  2001/02/02 06:39:21  kloczek
- updated to 0.6.2.

Revision 1.13  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.12  2001/02/01 10:41:25  misiek
0.6.1. stb

Revision 1.11  2000/12/10 13:13:15  kloczek
- use new rpm automation and few cosmetics.

Revision 1.10  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.9  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.8  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.3  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  2000/01/12 00:33:42  kloczek
- removed empty %pre,
- fixed %post and %postun,
- removed URL.

Revision 1.1  1999/12/19 17:39:31  jajcus
- first spec
